<?php

declare(strict_types=1);

namespace Dedi\SyliusCustomerReferralPlugin\Entity;

use Doctrine\Common\Collections\ArrayCollection;
use Doctrine\Common\Collections\Collection;
use Doctrine\ORM\Mapping as ORM;

trait InviterTrait
{
    /**
     * @ORM\OneToMany(targetEntity="Dedi\SyliusCustomerReferralPlugin\Entity\Referral", mappedBy="inviter")
     *
     * @var Collection
     */
    protected $referrals;

    public function __construct()
    {
        $this->referrals = new ArrayCollection();
    }

    public function getReferrals(): Collection
    {
        return $this->referrals;
    }
}
